# Generates microdeposits for a FinancialAddress

Generates microdeposits for a FinancialAddress in a Sandbox environment.

## Request

```curl
curl -X POST https://api.stripe.com/v2/test_helpers/financial_addresses/finaddr_test_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls/generate_microdeposits \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-04-30.preview"
```

### Response

```json
{
  "object": "financial_address_generated_microdeposits",
  "amounts": [
    {
      "value": 24,
      "currency": "usd"
    },
    {
      "value": 46,
      "currency": "usd"
    }
  ],
  "status": "accepted"
}
```

## Parameters

- `id` (string, required)
  The id of the financial address to generate microdeposits for.

## Returns

## Response attributes

- `object` (string, value is "financial_address_generated_microdeposits")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- [`amounts`](https://docs.stripe.com/api/v2/money-management/financial-addresses/generates.md?query=amounts) (array of objects)
  The amounts of the microdeposits that were generated.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `status` (enum)
  The status of the request.
Possible enum values:
  - `accepted`
    The microdeposits were successfully generated.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
